# forms.py
from django import forms
from .models import Setting

class SettingEditForm(forms.ModelForm):
    class Meta:
        model = Setting
        fields = ['binance_api_key', 'binance_secret', 'order_size_perc', 'use_order_size', 'order_size', 'is_usa']
        labels = {
            'order_size_perc': 'Order Size as a percentage of your account balance',
            'use_order_size': 'Use Order Size in USDT (below)',
            'order_size': 'Order Size in USDT',
            'is_usa': 'USA',
        }

    def __init__(self, *args, **kwargs):
        super(SettingEditForm, self).__init__(*args, **kwargs)
        self.fields['binance_api_key'].widget.attrs['style'] = "width: 600px;"
        self.fields['binance_secret'].widget.attrs['style'] = "width: 600px;"