from django.db import models
from django.contrib.auth.models import User

class Setting(models.Model):
    username = models.ForeignKey(User, on_delete=models.CASCADE, to_field='username')
    binance_api_key = models.CharField(max_length=100)
    binance_secret = models.CharField(max_length=100)
    order_size_perc = models.FloatField(default=50)
    use_order_size = models.BooleanField(default=True)
    order_size = models.FloatField(default=15)
    is_usa = models.BooleanField(default=False)

    def __str__(self):
        return self.username.username

class Order(models.Model):
    username = models.ForeignKey(User, on_delete=models.CASCADE, to_field='username')
    symbol = models.CharField(max_length=30)
    status = models.CharField(max_length=30)
    buy_time = models.DateTimeField(null=True)
    buy_value = models.FloatField(null=True)
    buy_qty = models.FloatField(null=True)
    buy_price = models.FloatField(null=True)
    buy_fees_value = models.FloatField(null=True)
    sell_time = models.DateTimeField(null=True)
    sell_value = models.FloatField(null=True)
    sell_qty = models.FloatField(null=True)
    sell_price = models.FloatField(null=True)
    sell_fees_value = models.FloatField(null=True)
    profit = models.FloatField(null=True)
    profit_perc = models.FloatField(null=True)